routes/web.php
<?php

use App\Http\Controllers\Contracts\ContractController;
use App\Http\Controllers\Estimates\EstimateController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\Roles\RoleController;
use App\Http\Controllers\Services\ServiceController;
use App\Http\Controllers\SubTours\SubTourController;
use App\Http\Controllers\Tours\TourController;
use App\Http\Controllers\Users\UserController;
use App\Http\Controllers\Commissions\CommissionController;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return redirect('login');
});

Auth::routes();

Route::get('/home', [HomeController::class, 'index'])
    ->name('home')
    ->middleware('auth');

Route::group(['middleware' => 'auth'], function() {
    Route::name('tours.')->prefix('tours')->group(function () {
        Route::get('/', [TourController::class, 'index'])
            ->name('index')
            ->middleware('has_permission:tour-list');
        Route::get('/create', [TourController::class, 'create'])
            ->name('create')
            ->middleware('has_permission:tour-create');
        Route::post('/', [TourController::class, 'store'])
            ->name('store')
            ->middleware('has_permission:tour-create');
        Route::get('/edit/{id}', [TourController::class, 'edit'])
            ->name('edit')
            ->middleware('has_permission:tour-edit');
        Route::put('/{id}', [TourController::class, 'update'])
            ->name('update')
            ->middleware('has_permission:tour-edit');
        Route::delete('/{id}', [TourController::class, 'destroy'])
            ->name('destroy')
            ->middleware('has_permission:tour-delete');
        Route::get('/show/{id}', [TourController::class, 'show'])
            ->name('show')
            ->middleware('has_permission:tour-list');
        Route::get('/search', [TourController::class, 'search'])
            ->name('search');
    });
    Route::name('users.')->prefix('users')->group(function () {
        Route::get('/', [UserController::class, 'index'])
            ->name('index')
            ->middleware('has_permission:user-list');
        Route::get('/create', [UserController::class, 'create'])
            ->name('create')
            ->middleware('has_permission:user-create');
        Route::post('/', [UserController::class, 'store'])
            ->name('store')
            ->middleware('has_permission:user-create');
        Route::get('/edit/{id}', [UserController::class, 'edit'])
            ->name('edit')
            ->middleware('has_permission:user-edit');
        Route::put('/{id}', [UserController::class, 'update'])
            ->name('update')
            ->middleware('has_permission:user-edit');
        Route::delete('/{id}', [UserController::class, 'destroy'])
            ->name('destroy')
            ->middleware('has_permission:user-delete');
        Route::get('/show/{id}', [UserController::class, 'show'])
            ->name('show')
            ->middleware('has_permission:user-list');
        Route::get('/search', [UserController::class, 'search'])
            ->name('search');
    });
    Route::name('services.')->prefix('services')->group(function () {
        Route::get('/', [ServiceController::class, 'index'])
            ->name('index')
            ->middleware('has_permission:service-list');
        Route::get('/create', [ServiceController::class, 'create'])
            ->name('create')
            ->middleware('has_permission:service-create');
        Route::post('/', [ServiceController::class, 'store'])
            ->name('store')
            ->middleware('has_permission:service-create');
        Route::get('/edit/{id}', [ServiceController::class, 'edit'])
            ->name('edit')
            ->middleware('has_permission:service-edit');
        Route::put('/{id}', [ServiceController::class, 'update'])
            ->name('update')
            ->middleware('has_permission:service-edit');
        Route::delete('/{id}', [ServiceController::class, 'destroy'])
            ->name('destroy')
            ->middleware('has_permission:service-delete');
        Route::get('/show/{id}', [ServiceController::class, 'show'])
            ->name('show')
            ->middleware('has_permission:service-list');
    });
    Route::name('roles.')->prefix('roles')->group(function () {
        Route::get('/', [RoleController::class, 'index'])
            ->name('index')
            ->middleware('has_permission:role-list');
        Route::get('/create', [RoleController::class, 'create'])
            ->name('create')
            ->middleware('has_permission:role-create');
        Route::post('/', [RoleController::class, 'store'])
            ->name('store')
            ->middleware('has_permission:role-create');
        Route::get('/edit/{id}', [RoleController::class, 'edit'])
            ->name('edit')
            ->middleware('has_permission:role-edit');
        Route::put('/{id}', [RoleController::class, 'update'])
            ->name('update')
            ->middleware('has_permission:role-edit');
        Route::delete('/{id}', [RoleController::class, 'destroy'])
            ->name('destroy')
            ->middleware('has_permission:role-delete');
        Route::get('/show/{id}', [RoleController::class, 'show'])
            ->name('show')
            ->middleware('has_permission:role-list');
        Route::get('/search', [RoleController::class, 'search'])
            ->name('search');
    });
    Route::name('subTours.')->prefix('subTours')->group(function () {
        Route::get('/', [SubTourController::class, 'index'])
            ->name('index');
        Route::get('/create', [SubTourController::class, 'create'])
            ->name('create');
        Route::post('/', [SubTourController::class, 'store'])
            ->name('store');
        Route::get('/edit/{id}', [SubTourController::class, 'edit'])
            ->name('edit');
        Route::put('/{id}', [SubTourController::class, 'update'])
            ->name('update');
        Route::delete('/{id}', [SubTourController::class, 'destroy'])
            ->name('destroy');
        Route::get('/show/{id}', [SubTourController::class, 'show'])
            ->name('show');
        Route::get('/search', [SubTourController::class, 'search'])
            ->name('search');
    });

    Route::name('estimates.')->prefix('estimates')->group(function () {
        Route::get('subTour/{subTourId}', [EstimateController::class, 'index'])
            ->name('index');
        Route::get('/create', [EstimateController::class, 'create'])
            ->name('create');
        Route::post('/', [EstimateController::class, 'store'])
            ->name('store');
        Route::get('/edit/{id}', [EstimateController::class, 'edit'])
            ->name('edit');
        Route::put('/{id}', [EstimateController::class, 'update'])
            ->name('update');
        Route::delete('/{id}', [EstimateController::class, 'destroy'])
            ->name('destroy');
        Route::get('/show/{id}', [EstimateController::class, 'show'])
            ->name('show');
        Route::get('/search', [EstimateController::class, 'search'])
            ->name('search');
        Route::get('/export/{id}', [EstimateController::class, "export"])
            ->name("export");
    });

    Route::name('contracts.')->prefix('contracts')->group(function () {
        Route::get('subTour/{subTourId}', [ContractController::class, 'index'])
            ->name('index')
            ->middleware('has_permission:contract-list');
        Route::get('subTour/{subTourId}/create', [ContractController::class, 'create'])
            ->name('create')
            ->middleware('has_permission:contract-create');
        Route::post('/', [ContractController::class, 'store'])
            ->name('store');
        Route::get('/edit/{id}', [ContractController::class, 'edit'])
            ->name('edit')
            ->middleware('has_permission:contract-edit');
        Route::put('/{id}', [ContractController::class, 'update'])
            ->name('update')
            ->middleware('has_permission:contract-edit');
        Route::delete('/{id}', [ContractController::class, 'destroy'])
            ->name('destroy')
            ->middleware('has_permission:contract-delete');
        Route::get('/show/{id}', [ContractController::class, 'show'])
            ->name('show')
            ->middleware('has_permission:contract-list');
        Route::get('/search', [ContractController::class, 'search'])
            ->name('search');
        Route::get('/createContract/{id}', [ContractController::class, "createContractFile"])
            ->name("createContractFile");
        Route::get('/contract/{contractId}/history', [ContractController::class, "history"])
            ->name("history");
    });
    Route::name('commissions.')->prefix('commissions')->group(function () {
        Route::get('contract/{contractId}', [CommissionController::class, 'index'])
            ->name('index')
            ->middleware('has_permission:contract-list');
        Route::get('contract/{contractId}/create', [CommissionController::class, 'create'])
            ->name('create');
        Route::post('/', [CommissionController::class, 'store'])
            ->name('store');
        Route::get('/edit/{id}', [CommissionController::class, 'edit'])
            ->name('edit');
        Route::put('/{id}', [CommissionController::class, 'update'])
            ->name('update');
        Route::delete('/{id}', [CommissionController::class, 'destroy'])
            ->name('destroy');

resources/views/admin/layouts/app.blade.php
<!DOCTYPE html>
<html lang="en">
    @include('sweetalert::alert')
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        @yield('title')
        <link href="https://cdn.jsdelivr.net/npm/simple-datatables@latest/dist/style.css" rel="stylesheet" />
        <link href="{{asset('css/styles.css')}}" rel="stylesheet" />
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
              integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/js/all.min.js" crossorigin="anonymous"></script>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.0/css/bootstrap.min.css"/>
        <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.5.0/css/bootstrap-datepicker.css" rel="stylesheet">
        <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.5.0/js/bootstrap-datepicker.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.0/jquery.min.js"></script>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/limonte-sweetalert2/7.2.0/sweetalert2.min.css">
        <script src="https://cdn.jsdelivr.net/npm/sweetalert2@10.15.7/dist/sweetalert2.all.min.js"></script>
        <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.0/css/bootstrap.min.css"/>
        <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.5.0/css/bootstrap-datepicker.css" rel="stylesheet">
        <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.5.0/js/bootstrap-datepicker.js"></script>
        @yield('js')
    </head>
    <body class="sb-nav-fixed">
        @include('admin.layouts.nav')
        <div id="layoutSidenav">
        @include('admin.layouts.sidenav')
        @yield('content')
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="{{asset('js/scripts.js')}}"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.min.js" crossorigin="anonymous"></script>
        <script src="{{asset('assets/demo/chart-area-demo.js')}}"></script>
        <script src="{{asset('assets/demo/chart-bar-demo.js')}}"></script>
        <script src="https://cdn.jsdelivr.net/npm/simple-datatables@latest" crossorigin="anonymous"></script>
        <script src="{{asset('js/datatables-simple-demo.js')}}"></script>
        @stack('scripts')
    </body>
</html>

resources/views/admin/layouts/nav.blade.php
<nav class="sb-topnav navbar navbar-expand navbar-dark bg-dark">
    <!-- Navbar Brand-->
    <a class="navbar-brand ps-3" href="{{ route('home') }}">Tuyet Sinh Travel</a>
    <!-- Sidebar Toggle-->
    <button class="btn btn-link btn-sm order-1 order-lg-0 me-4 me-lg-0" id="sidebarToggle" href="#!"><i class="fas fa-bars"></i></button>
    <!-- Navbar Search-->
    <form class="d-none d-md-inline-block form-inline ms-auto me-0 me-md-3 my-2 my-md-0">
        <div class="input-group">
            <input class="form-control" type="text" placeholder="Search for..." aria-label="Search for..." aria-describedby="btnNavbarSearch" />
            <button class="btn btn-primary" id="btnNavbarSearch" type="button"><i class="fas fa-search"></i></button>
        </div>
    </form>
    <!-- Navbar-->
    <ul class="navbar-nav ms-auto ms-md-0 me-3 me-lg-4">
        @guest
            @if (Route::has('login'))
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                </li>
            @endif

            @if (Route::has('register'))
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                </li>
            @endif
        @else
            <ul class="navbar-nav ms-auto ms-md-0 me-3 me-lg-4">
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" id="navbarDropdown" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false"><i class="far fa-user-circle"></i></a>
                    <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                        <li><a class="dropdown-item" href="#!">Hi, {{Auth::user()->full_name}}</a></li>
                        <li><hr class="dropdown-divider" /></li>
                        <li><a class="dropdown-item" href="{{ route('logout') }}"
                               onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                {{ __('Logout') }}</a></li>
                        <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                            @csrf
                        </form>
                    </ul>
                </li>
            </ul>
        @endguest
    </ul>
</nav>

resources/views/admin/layouts/sidenav.blade.php
<div id="layoutSidenav_nav">
    <nav class="sb-sidenav accordion sb-sidenav-dark" id="sidenavAccordion">
        <div class="sb-sidenav-menu">
            <div class="nav">
                <a class="nav-link" href="{{ route('home') }}">
                    <div class="sb-nav-link-icon"><i class="fas fa-home"></i></div>
                    Home
                </a>

{{--                user--}}
                <a class="nav-link" href="{{ route('users.index') }}">
                    <div class="sb-nav-link-icon"><i class="fas fa-users"></i></div>
                    Users
                </a>

{{--                role--}}
                <a class="nav-link" href="{{ route('roles.index') }}">
                    <div class="sb-nav-link-icon"><i class="fas fa-user-lock"></i></div>
                    Roles
                </a>

{{--                tour--}}
                <a class="nav-link" href="{{ route('tours.index') }}">
                    <div class="sb-nav-link-icon"><i class="fas fa-plane"></i></div>
                    Tours
                </a>

{{--                subtour--}}
                <a class="nav-link" href="{{ route('subTours.index') }}">
                    <div class="sb-nav-link-icon"><i class="fas fa-bus-alt"></i></div>
                    Sub Tours
                </a>

{{--                estimate--}}
{{--                <a class="nav-link" href="{{ route('estimates.index') }}">--}}
{{--                    <div class="sb-nav-link-icon"><i class="fas fa-user-lock"></i></div>--}}
{{--                    Estimates--}}
{{--                </a>--}}

{{--                service--}}
                <a class="nav-link" href="{{ route('services.index') }}">
                    <div class="sb-nav-link-icon"><i class="fab fa-fort-awesome"></i></div>
                    Services
                </a>
            </div>
        </div>
    </nav>
</div>